## template:jinja
kind: DaemonSet
apiVersion: apps/v1
metadata:
  name: calico-node
  namespace: kube-system
spec:
  template:
    spec:
      containers:
        - name: calico-node
          env:
            - name: CALICO_IPV4POOL_CIDR
              value: "{{pod_subnet}}"
{% if ip_autodetection_method != None %}
            - name: IP_AUTODETECTION_METHOD
              value: "{{ip_autodetection_method}}"
{% endif %}
